NewPilotDialog(3)

NAME
NewPilotDialog - The NewPilotDialog enables adding new entries to the pilot table in the database.

SYNOPSIS

#include <newpilotdialog.h>

Inherits QDialog.

  Public Member Functions
NewPilotDialog (QWidget *parent=nullptr)
NewPilotDialog::NewPilotDialog - creates a new pilot dialog which can be used to add a new entry to the database.
NewPilotDialog (int rowId, QWidget *parent=nullptr)
NewPilotDialog::NewPilotDialog - creates a new pilot dialog which can be used to edit an existing entry in the database.

Detailed Description

The NewPilotDialog enables adding new entries to the pilot table in the database. The NewPilotDialog offers two constructors, one is used to create a new Pilot Entry from scratch, while the other one is used to edit an existing entry. The existing entry is identified by its ROW ID in the database and is then retreived, its data being used to pre-fill the UI to enable editing the existing data.

A QCompleter provides in-line completion for the company field.

No verification is done on the user input. Sqlite has full unicode support and names come in all different forms and shapes around the world. In order to maintain a maximum amount of flexibility, any unicode input is allowed.

Constructor & Destructor Documentation

  NewPilotDialog::NewPilotDialog (int rowId, QWidget * parent = nullptr) [explicit]

NewPilotDialog::NewPilotDialog - creates a new pilot dialog which can be used to edit an existing entry in the database.

Parameters
    rowId - the rowid of the entry to be edited in the database

Author

Generated automatically by Doxygen for openPilotLog from the source code.